#!/bin/bash

sys_vendor=$(cat /sys/devices/virtual/dmi/id/sys_vendor | sed '/^$/d')
if [ "${sys_vendor}" == "HUAWEI" ] || [ "${sys_vendor}" == "PANGU" ]; then
    exit 1
fi

lscpu | grep -i "huawei\|pangu" > /dev/null
if [ $? -eq 0 ]; then
    exit 1
fi

base_version="1.0.3.1-0k1.0"
kw_version=$(dpkg -l ukui-kwin | grep ^ii | awk '{print $3}')
if dpkg --compare-versions "$kw_version" "<" "$base_version"; then
    exit 1
fi

exit 0
